import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infbpd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
						},
						seafintyp:"",			//  Type of Advance		.seafintyp
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						bpdgrp:{
							rec:{
								pntref:"",			//  Parent Contract		.bpdgrp.rec.pntref
								pntnam:"",			//  Name		.bpdgrp.rec.pntnam
								ownref:"",			//  Finance Reference		.bpdgrp.rec.ownref
								nam:"",			//  Name		.bpdgrp.rec.nam
								pctfin:"",			//  Percentage		.bpdgrp.rec.pctfin
								opndat:"",			//  Open Date		.bpdgrp.rec.opndat
								intrat:"",			//  Margin Spread applied to Interest Rate		.bpdgrp.rec.intrat
								intday:"",			//  到期日		.bpdgrp.rec.intday
								tolrat:"",			//  Total Rate of the Unfunded Risk Participation		.bpdgrp.rec.tolrat
								fincod:"",			//  %		.bpdgrp.rec.fincod
								matdat:"",			//  Due Date		.bpdgrp.rec.matdat
								conrat:"",			//  参考指标		.bpdgrp.rec.conrat
								finact:"",			//  Advance Account		.bpdgrp.rec.finact
								fintyp:"",			//  Type of Advance		.bpdgrp.rec.fintyp
							},
							cbs:{
								max:{
									cur:"",			//  Advance Amount		.bpdgrp.cbs.max.cur
									amt:"",			//  Balance		.bpdgrp.cbs.max.amt
								},
							},
							fia:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bpdgrp.fia.namelc
								adrelc:"",			//  地址		.bpdgrp.fia.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bpdgrp.fia.dbfadrblkcn
							},
						},
						finmod:{
							pctlab:"",			//  Percentage Label		.finmod.pctlab
							intprd:"",			//  计息周期		.finmod.intprd
							intdat:"",			//  计息日期		.finmod.intdat
							ratchgtyp:"",			//  利率调�'方式		.finmod.ratchgtyp
							ratchgprd:"",			//  利率调�'周期		.finmod.ratchgprd
							ratchgdat:"",			//  利率调�'月日数		.finmod.ratchgdat
							graday:"",			//  宽限期		.finmod.graday
							flttyp:"",			//  浮动方式		.finmod.flttyp
							fltval:"",			//  浮动值		.finmod.fltval
							ovdinttyp:"",			//  呆滞计息方式		.finmod.ovdinttyp
							ovdintrat:"",			//  罚息比率		.finmod.ovdintrat
							act1:"",			//  第一还款�'�号		.finmod.act1
							acttyp:"",			//  第三方还款方式		.finmod.acttyp
							accbch:"",			//  入�'�机构		.finmod.accbch
							intamt:"",			//  预收息金额		.finmod.intamt
							act3:"",			//  第三方还款�'�号		.finmod.act3
						},
						recpan:{
							conrat:"",			//  参考指标		.recpan.conrat
							usr:{
								extkey:"",			//  Responsible User		.recpan.usr.extkey
							},
							fiap:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.fiap.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.fiap.ptsget.sdamod.dadsnd
									},
								},
							},
							distyp:"",			//  Discount Type		.recpan.distyp
							purtyp:"",			//  Purchase Type		.recpan.purtyp
						},
						fpdgrp:{
							rec:{
								ownref:"",			//  Purchase Agreement 		.fpdgrp.rec.ownref
								nam:"",			//  Name		.fpdgrp.rec.nam
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}