import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infpta{
    constructor () {
        this.data = {
						seaobjkey:"",			//  PTA		.seaobjkey
						seanam:"",			//  External Visible Name of Address		.seanam
						seaptyextkey:"",			//  External Key Used to Uniquely Identify a party		.seaptyextkey
						seabic:"",			//  BIC of Address Optional		.seabic
						seazip:"",			//  ZIP Code/First Part of S.W.I.F.T. Line 4		.seazip
						seatxt:"",			//  Textpart of City		.seatxt
						seastr:"",			//  Street		.seastr
						seatypb:"",			//  Bank		.seatypb
						seatypc:"",			//  Client		.seatypc
						seatypa:"",			//  Own Address		.seatypa
						seatypo:"",			//  Other		.seatypo
						infbut:{
							selrow:0,		// Number of selected row
							dspstm:{},			//  display stream		.infbut.dspstm
						},
						seatyph:"",			//  海关		.seatyph
						recpan:{
							pty:{
								extkey:"",			//  Address Number		.recpan.pty.extkey
								nam:"",			//  Party Name		.recpan.pty.nam
							},
							ptyget:{
								sdamod:{
									seainf:"",			//  		.recpan.ptyget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.ptyget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
									seainf:"",			//  		.recpan.recget.sdamod.seainf
								},
							},
							bchkey:"",			//  Bchkey		.recpan.bchkey
							branchkey:"",			//  Branch key		.recpan.branchkey
							ptainf:{
								labinftxt:"",			//  Label for INFTXT		.recpan.ptainf.labinftxt
								oit:{
									inftxt:"",			//  Infotext		.recpan.ptainf.oit.inftxt
									inflev:"",			//  Infotext Level		.recpan.ptainf.oit.inflev
								},
							},
						},
						recgrp:{
							rec:{
								objkey:"",			//  Alternate Technical Key of Associated Address		.recgrp.rec.objkey
								nam:"",			//  Address Name		.recgrp.rec.nam
								adrsta:"",			//  Address Status		.recgrp.rec.adrsta
								usg:"",			//  Coded Usage of Address [xxxxxx]		.recgrp.rec.usg
								issbchinf:"",			//  Info of bank		.recgrp.rec.issbchinf
							},
							typb:"",			//  Bank		.recgrp.typb
							typc:"",			//  Client		.recgrp.typc
							typa:"",			//  Own Address		.recgrp.typa
							typo:"",			//  Other		.recgrp.typo
							adr:{
								nam1:"",			//  Name 1/SWIFT Line 1		.recgrp.adr.nam1
								nam2:"",			//  Name 2/SWIFT Line 2		.recgrp.adr.nam2
								nam3:"",			//  Name 3		.recgrp.adr.nam3
								str1:"",			//  Street/SWIFT Line 3		.recgrp.adr.str1
								str2:"",			//  Optional Second Line of Street		.recgrp.adr.str2
								loczip:"",			//  ZIP Code/First Part of SWIFT Line 4		.recgrp.adr.loczip
								loctxt:"",			//  Textpart of City/Second Part of SWIFT Line 4		.recgrp.adr.loctxt
								loc2:"",			//  Optional Second Line of City		.recgrp.adr.loc2
								pob:"",			//  Line with Postbox		.recgrp.adr.pob
								pobzip:"",			//  ZIP Code Used when Addressing Postbox		.recgrp.adr.pobzip
								pobtxt:"",			//  Textpart of City Used when Addressing Postbox		.recgrp.adr.pobtxt
								loccty:"",			//  Country or region		.recgrp.adr.loccty
								eml:"",			//  eMail/Internet		.recgrp.adr.eml
								tel1:"",			//  Telephone 1		.recgrp.adr.tel1
								tel2:"",			//  Telephone 2		.recgrp.adr.tel2
								fax1:"",			//  Telefax 1		.recgrp.adr.fax1
								fax2:"",			//  Telefax 2		.recgrp.adr.fax2
								tlx:"",			//  Telex Number		.recgrp.adr.tlx
								bic:"",			//  BIC of Address Optional		.recgrp.adr.bic
								bid:"",			//  Branch Identification Used in Option B of SWIFT Fieldtags		.recgrp.adr.bid
								tid:"",			//  TradeConnect ID		.recgrp.adr.tid
								blz:"",			//  & City		.recgrp.adr.blz
								clc:"",			//  Clearing Code for Banks		.recgrp.adr.clc
								uil:"",			//  Default Language Code		.recgrp.adr.uil
								cortyp:"",			//  Primary Output Chanel of Messages SWT, LET, TLX, TCO		.recgrp.adr.cortyp
								dpt:"",			//  Department		.recgrp.adr.dpt
								adr1:"",			//  Chinese Address		.recgrp.adr.adr1
								adr2:"",			//  		.recgrp.adr.adr2
								adr3:"",			//  		.recgrp.adr.adr3
								discod:"",			//  国内地区码		.recgrp.adr.discod
								dtacid:"",			//  DTA Import L/C ID		.recgrp.adr.dtacid
								dtecid:"",			//  DTA Export L/C ID		.recgrp.adr.dtecid
								namelc:"",			//  电证名称		.recgrp.adr.namelc
								adrelc:"",			//  电证地址		.recgrp.adr.adrelc
							},
						},
				}
    }
}